Update billing profile for settings page
PATCH
/v1/settings/billing/profileAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsonaddress_line_1stringrequiredaddress_line_2stringrequiredbilling_emailstringrequiredbilling_phonestringrequiredcitystringrequiredcountry_codestringrequiredlegal_namestringrequiredpostal_codestringrequiredstate_or_provincestringrequiredtax_idstringrequiredtax_namestringrequiredResponses
200OK
address_line_1stringrequiredaddress_line_2stringrequiredbilling_emailstringrequiredbilling_phonestringrequiredcitystringrequiredcompletebooleanrequiredcompletenessSettingsBillingProfileCompletenessItemrequiredShow propertiesHide properties
is_completebooleanrequiredmissing_fieldsstring[] | nullrequiredcountry_codestringrequiredcreated_atstringlast_updated_atstringlast_updated_bystringlegal_namestringrequiredmissing_fieldsstring[] | nullrequiredorganization_idstringrequiredpostal_codestringrequiredstate_or_provincestringrequiredtax_idstringrequiredtax_namestringrequiredupdated_atstring400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PATCH "/v1/settings/billing/profile" \
-H "Content-Type: application/json" \
-d '{
"address_line_1": "string",
"address_line_2": "string",
"billing_email": "string",
"billing_phone": "string",
"city": "string",
"country_code": "string",
"legal_name": "string",
"postal_code": "string",
"state_or_province": "string",
"tax_id": "string",
"tax_name": "string"
}'const response = await fetch("/v1/settings/billing/profile", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"address_line_1": "string",
"address_line_2": "string",
"billing_email": "string",
"billing_phone": "string",
"city": "string",
"country_code": "string",
"legal_name": "string",
"postal_code": "string",
"state_or_province": "string",
"tax_id": "string",
"tax_name": "string"
})
});import requests
response = requests.patch(
"/v1/settings/billing/profile",
headers={
"Content-Type": "application/json"
},
json={
"address_line_1": "string",
"address_line_2": "string",
"billing_email": "string",
"billing_phone": "string",
"city": "string",
"country_code": "string",
"legal_name": "string",
"postal_code": "string",
"state_or_province": "string",
"tax_id": "string",
"tax_name": "string"
},
)Response
{
"address_line_1": "string",
"address_line_2": "string",
"billing_email": "string",
"billing_phone": "string",
"city": "string",
"complete": true,
"completeness": {
"is_complete": true,
"missing_fields": [
"string"
]
},
"country_code": "string",
"created_at": "string",
"last_updated_at": "string",
"last_updated_by": "string",
"legal_name": "string",
"missing_fields": [
"string"
],
"organization_id": "string",
"postal_code": "string",
"state_or_province": "string",
"tax_id": "string",
"tax_name": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}